# GET /api/v1/notes/{note_id}

> Get a single note

- **Tag:** notes
- **Operation ID:** `get_note_api_v1_notes__note_id__get`

## Description

Retrieve a single note by ID.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `note_id` (path, string, required)

## Responses

### 200 — Successful Response

Schema: `NoteResponse`

- `id` (string · required)
- `title` (string · required)
- `body` (string)
- `pinned` (boolean)
- `author_id` (string · required)
- `author_name` (string)
- `author_email` (string)
- `created_at` (string · date-time · required)
- `updated_at` (string · date-time · required)
- `attachments` (array · AttachmentResponse) → `AttachmentResponse`
  - `id` (string · required)
  - `note_id` (string · required)
  - `file_name` (string · required)
  - `file_size` (integer · required)
  - `mime_type` (string · required)
  - `uploaded_by` (string · required)
  - `created_at` (string · date-time · required)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 404 — Not Found - Resource does not exist

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/notes/{note_id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/notes/{note_id}', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/notes/{note_id}", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/notes/get-note
- OpenAPI slice: https://www.ondayzero.com/docs/reference/notes/get-note/openapi.json
- Other endpoints in **notes**: https://www.ondayzero.com/docs/reference/notes
